## linuxmuster-client-truecrypt 0.2.2-1

=== Makefile ===
#!/usr/bin/make
# Zur Erstellung des Debian-Pakets notwendig (make DESTDIR=/root/sophomorix)
# Created by Rüdiger Beck (jeffbeck-at-web.de)
DESTDIR=

CONF=$(DESTDIR)/etc/linuxmuster-client/truecrypt
BIN=$(DESTDIR)/usr/bin
SBIN=$(DESTDIR)/usr/sbin
SHARE=$(DESTDIR)/usr/share/linuxmuster-client-truecrypt
ETC=$(DESTDIR)/etc/sudoers.d

help:
	@echo ' '
	@echo 'Most common options of this Makefile:'
	@echo '-------------------------------------'
	@echo ' '
	@echo '   make help'
	@echo '      show this help'
	@echo ' '
	@echo '   make install'
	@echo '      install all stuff'
	@echo ' '
	@echo '   make deb'
	@echo '      create a debian package'
	@echo ' '


install:
	@echo '   * Installing sudoers stuff'
	@install -d -m0440 -oroot -groot $(ETC)
	@install -oroot -groot --mode=0440 sudo/linuxmuster-client-truecrypt $(ETC)
	@echo '   * Adding script'
	@install -d -m0755 -oroot -groot $(SBIN)
	@install -oroot -groot --mode=0700 scripts/linuxmuster-client-truecrypt-installer $(SBIN)

clean:
	# nothing

# build a package
deb:
	### deb
	@echo 'Did you do a dch -i ?'
	#@sleep 8
	dpkg-buildpackage -tc -uc -us -sa -rfakeroot
	@echo ''
	@echo 'Do not forget to tag this version in git'
	@echo ''

=== debian/changelog ===
linuxmuster-client-truecrypt (0.2.2-1) trusty; urgency=low

  * New source dir on server truecrypt.ch

 -- bz <bz@adler>  Wed, 25 Jun 2014 00:31:58 +0200

linuxmuster-client-truecrypt (0.2.1-1) precise; urgency=low

  * New package for precise repo 

 -- bz <bz@adler>  Tue, 03 Jun 2014 12:23:41 +0200

linuxmuster-client-truecrypt (0.1.0-1) precise-testing; urgency=low

  * New package for precise repo 

 -- Ruediger Beck <bz@j1009p16.bszleo.de>  Thu, 27 Sep 2012 12:03:12 +0200

linuxmuster-client-truecrypt (0.0.1-1) lenny; urgency=low

  * First Revision

 -- root <root@lenny-build.kvmdomain.org.local>  Fri, 07 Sep 2012 18:13:17 +0200

=== debian/control ===
Source: linuxmuster-client-truecrypt
Section: admin
Priority: optional
Maintainer: Ruediger Beck <jeffbeck@web.de>
Build-Depends: debhelper , perl-base, fakeroot
Standards-Version: 3.5.2



Package: linuxmuster-client-truecrypt
Architecture: all
Suggests: 
Pre-Depends: 
Depends: coreutils 
Description: Install truecrypt 7.1a and make it available to all users
  The truecrypt standard package 7.1a for 32bit/64bit is downloaded
  from truecrypt.ch and installed. The group plugdev kann use
  truecrypt, i.e. in most cases all users.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
# moved to debian/compat
# export DH_COMPAT=3



ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
#	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install package into 
        # debian/linuxmuster-client-truecrypt
	$(MAKE) -B install DESTDIR=$(CURDIR)/debian/linuxmuster-client-truecrypt

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdebconf	
	dh_installchangelogs
# install debian/copyright file in every package:
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
# Install manpages for linuxmuster-client-truecrypt
#	dh_installman -psophomorix2 sophomorix2/man/de/sophomorix.de.8
#	dh_undocumented
	dh_install --sourcedir=debian/linuxmuster-client-truecrypt
	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


# Build architecture-dependent files here.
binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
